# Uses of Class
org.apache.lucene.search.BlendedTermQuery.RewriteMethod

Packages that use BlendedTermQuery.RewriteMethod
Package
Description
org.apache.lucene.search
Code to search indices.

- ## Uses of BlendedTermQuery.RewriteMethod in org.apache.lucene.search

  Subclasses of BlendedTermQuery.RewriteMethod in org.apache.lucene.search
  Modifier and Type
  Class
  Description
  `static class`
  `BlendedTermQuery.DisjunctionMaxRewrite`
  A `BlendedTermQuery.RewriteMethod` that creates a `DisjunctionMaxQuery` out of the sub queries.
  Fields in org.apache.lucene.search declared as BlendedTermQuery.RewriteMethod
  Modifier and Type
  Field
  Description
  `static final BlendedTermQuery.RewriteMethod`
  BlendedTermQuery.`BOOLEAN_REWRITE`
  A `BlendedTermQuery.RewriteMethod` that adds all sub queries to a `BooleanQuery`.
  `static final BlendedTermQuery.RewriteMethod`
  BlendedTermQuery.`DISJUNCTION_MAX_REWRITE`
  `BlendedTermQuery.DisjunctionMaxRewrite` instance with a tie-breaker of `0.01`.
  Methods in org.apache.lucene.search with parameters of type BlendedTermQuery.RewriteMethod
  Modifier and Type
  Method
  Description
  `BlendedTermQuery.Builder`
  BlendedTermQuery.Builder.`setRewriteMethod(BlendedTermQuery.RewriteMethod rewiteMethod)`
  Set the `BlendedTermQuery.RewriteMethod`.